You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2017-04-27 11:55:14

thierry.blouin
Guest
Registered: 2017-04-27
Posts: 2

Renommer champs dans Glpi 9.1.1

Bonjour

Nous exploitions depuis plusieurs années Glpi en version 0.72.4 pour laquelle nous avions renommer un certain nombre de champs via les fichiers "Locales" Fr_fr et En_us.

Nous avons migrer en version 9.1.1 en début d'année et après avoir parcouru le forum je me rend compte que cette opération est devenue plus complexe puisque le plugin "Fields" ne permet pas de renommer, et les modifications des fichiers "locales" ne semblent pas s"appliquer.

Quelles solutions peut on envisager ? le Plugin "Rename" sera t'il mis à jour pour Glpi 9.1 ?

Merci pour votre aide

Thierry
Glpi 9.1.1 & FusionInventory 9.1+1.0
Environnement Ubuntu 16.04.01 LTS / Apache 2.4.18 / PHP 5.6.28 / Mysql 5.7.17

Offline

#2 2017-04-27 14:29:47

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 13,005

Re: Renommer champs dans Glpi 9.1.1

Vous pouvez faire vos modifications dans les fichier fr_FR.po et en_GB.po.
Ensuite il faut regénérer les .mo qui sont utilisés par GLPI (https://forge.glpi-project.org/projects … ki/Gettext)

Concernant le plugin Renamer, je l'ai fais fonctionner avec la 9.1 mais il faut appliquer les corrections que j'ai transmis au projet (https://github.com/pluginsGLPI/renamer/pulls)


CentOS 6.5 - PHP 5.6 - PHP 7 - MySQL 5.6  + APC + memcached
GLPI 0.90.5 SVN - GLPI 9.1.3 SVN
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#3 2017-04-27 16:16:37

thierry.blouin
Guest
Registered: 2017-04-27
Posts: 2

Re: Renommer champs dans Glpi 9.1.1

Merci pour ces infos . J'ai pu installer le plugin avec les modifs du fichier ajax.php.
Celui-ci modifie bien les fichiers .po, mais les .mo ne sont pas regénérés...

Je viens de généré les fichiers binaire avec Poedit et c'est OK.

Merci pour votre aide !


Glpi 9.1.1 & FusionInventory 9.1+1.0
Environnement Ubuntu 16.04.01 LTS / Apache 2.4.18 / PHP 5.6.28 / Mysql 5.7.17

Offline

Board footer

Powered by FluxBB